# class Redcarpet::Render::GitlabHTML

### Attributes

h[R]
template[R]

### Public Class Methods

new(template, options = {}) click to toggle source

    # File lib/redcarpet/render/gitlab_html.rb, line 6
    def initialize(template, options = {})
      @template = template
      @project = @template.instance_variable_get("@project")
      super options
    end

### Public Instance Methods

block_code(code, language) click to toggle source

    # File lib/redcarpet/render/gitlab_html.rb, line 12
    def block_code(code, language)
      if Pygments::Lexer.find(language)
        Pygments.highlight(code, lexer: language, options: {encoding: 'utf-8'})
      else
        Pygments.highlight(code, options: {encoding: 'utf-8'})
      end
    end

postprocess(full_document) click to toggle source

    # File lib/redcarpet/render/gitlab_html.rb, line 20
    def postprocess(full_document)
      h.gfm(full_document)
    end